com.creamtec.ajaxswing.core

## Class AjaxSwingProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - com.creamtec.core.AppProperties
        - - com.creamtec.ajaxswing.core.AjaxSwingProperties

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

      public class AjaxSwingProperties
      extends AppProperties

  Caches certain properties for faster lookup. Defines the constants for standard AjaxSwing properties such as agent.classPath.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AGENT_ALLOW_LF_CHANGE`
    `static java.lang.String` | `AGENT_ALLOW_TEXT_SELECTION`
    `static java.lang.String` | `AGENT_APP_PARAMS`
    `static java.lang.String` | `AGENT_CLASSPATH`
    `static java.lang.String` | `AGENT_DEFAULT_LOCALE`
    `static java.lang.String` | `AGENT_EMULATE_KEY_TYPE_EVENTS`
    `static java.lang.String` | `AGENT_FORCE_JVM_LOCALE`
    `static java.lang.String` | `AGENT_MONITOR_ASYNCHRONOUS_UPDATES_DURATION`
    `static java.lang.String` | `AGENT_MONITOR_ASYNCHRONOUS_UPDATES_INTERVAL`
    `static java.lang.String` | `AGENT_MONITOR_ASYNCHRONOUS_UPDATES_UPDATE_ON_REPAINT`
    `static java.lang.String` | `AGENT_PRODUCTION_MODE`
    `static java.lang.String` | `AGENT_REQUEST_TIMEOUT`
    `static java.lang.String` | `AGENT_RUN_AS_APPLET`
    `static java.lang.String` | `AGENT_SCROLL_DYNAMIC_EVENTS`
    `static java.lang.String` | `AGENT_SCROLLING_IGNORE_OVERSIZED_ELEMENTS`
    `static java.lang.String` | `AGENT_START_CLASS_NAME`
    `static java.lang.String` | `AGENT_UNDECORATE_FIRST_FRAME`
    `static java.lang.String` | `AGENT_USE_AJAXSWING_FONTS_CONFIG_FILE`
    `static java.lang.String` | `AGENT_USE_BROWSER_LOCALE`
    `static java.lang.String` | `AJAXSWING_HOME`
    `static java.lang.String` | `APPLET_CODE_BASE`
    `static java.lang.String` | `APPLET_DOCUMENT_BASE`
    `static java.lang.String` | `APPLET_HEIGHT`
    `static java.lang.String` | `APPLET_PARAM`
    `static java.lang.String` | `APPLET_TITLE`
    `static java.lang.String` | `APPLET_WIDTH`
    `static java.lang.String` | `BROWSER_ENABLE_AUTO_COMPLETE`
    `java.util.HashMap<java.lang.String,java.lang.String>` | `classPropertyCache`
    `static java.lang.String` | `COMMON_CLASSPATH`
    `static java.lang.String` | `COMPONENT_ALWAYS_DIRTY`
    `static java.lang.String` | `COMPONENT_BROWSE_CLIENT` Deprecated. Not implemented in v.4
    `static java.lang.String` | `COMPONENT_CSS_CLASS`
    `static java.lang.String` | `COMPONENT_CSS_STYLE`
    `static java.lang.String` | `COMPONENT_CUSTOM_ID`
    `static java.lang.String` | `COMPONENT_EMULATE_KEY_TYPE_EVENTS`
    `static java.lang.String` | `COMPONENT_EMULATE_KEY_TYPE_EVENTS_LIMITED` Type only one symbol.
    `static java.lang.String` | `COMPONENT_MOUSE_ENTER_EVENTS`
    `static java.lang.String` | `COMPONENT_OPEN_CLIENT`
    `static java.lang.String` | `COMPONENT_PARENT_ID`
    `static java.lang.String` | `COMPONENT_PREVENT_SET_TEXT_FOR_TYPE`
    `static java.lang.String` | `COMPONENT_RICH_TEXT_EDITOR`
    `static java.lang.String` | `COMPONENT_SAVE_CLIENT`
    `static java.lang.String` | `COMPONENT_TABLE_OBJECT`
    `static java.lang.String` | `COMPONENT_UNDECORATE_WINDOW`
    `static java.lang.String` | `ENABLE_AUTO_COMPLETE`
    `static java.lang.String` | `ENABLE_JMENU_ITEM_MOUSE_ENTER_EVENTS`
    `static java.lang.String` | `HTML_DOCS_REAL_PATH`
    `static java.lang.String` | `HTML_DOCS_URL`
    `static java.lang.String` | `HTML_ERROR_PAGE_URL`
    `static java.lang.String` | `HTML_EXIT_PAGE_URL`
    `static java.lang.String` | `HTML_HUMAN_COMPONENT_NAMES`
    `static java.lang.String` | `HTML_INITIALIZATION_PAGE_URL`
    `static java.lang.String` | `HTML_SUBMIT_URL`
    `static java.lang.String` | `HTML_THEME`
    `static java.lang.String` | `HTTP_URL_LOCALE`
    `static boolean` | `humanComponentNames`
    `static java.lang.String` | `NULL_VALUE`
    `static java.lang.String` | `PARENT_PROPERTIES_FILE`
    `static java.lang.String` | `REQUEST_DATA_DEBUG`
    `static java.lang.String` | `REQUEST_DATA_INFO`
    `static java.lang.String` | `REQUEST_DATA_NONE`
    `static java.lang.String` | `ROUTER_AGENT_WAIT_TIMEOUT`
    `static java.lang.String` | `ROUTER_AUTO_SUBMIT`
    `static java.lang.String` | `ROUTER_CHARACTER_ENCODING`
    `static java.lang.String` | `ROUTER_CLIENTS_PER_JVM`
    `static java.lang.String` | `ROUTER_HTTP_REQUEST_DATA_LEVEL`
    `static java.lang.String` | `ROUTER_IN_PROCESS`
    `static java.lang.String` | `ROUTER_PRELOAD_APP`
    `static java.lang.String` | `ROUTER_PRELOAD_WAIT_FOR_APP`
    `static java.lang.String` | `ROUTER_REGISTRY_PORT`
    `static java.lang.String` | `ROUTER_REGISTRY_PORT_RANGE`
    `static java.lang.String` | `ROUTER_RETIRE_JVM_AFTER_CLIENTS`
    `static java.lang.String` | `ROUTER_SESSION_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingProperties()`
    `AjaxSwingProperties(java.util.Properties defaults)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getClientProperty(java.lang.Object component, java.lang.String property)` If set, returns component client property
    `static java.lang.String` | `getClientProperty(java.lang.Object component, java.lang.String property, java.lang.String defaultValue)` If set, returns component client property, if property null then return default value
    `java.lang.String` | `getComponentProperty(java.lang.Object component, java.lang.String property)` Returns the value of component property First checks the client property on the component Then component.com.package.ClassName.propertyName syntax Then component.*.propertyName=value syntax
    `boolean` | `getComponentProperty(java.lang.Object component, java.lang.String key, boolean defaultValue)`
    `int` | `getComponentProperty(java.lang.Object component, java.lang.String key, int defaultValue)`
    `static javax.swing.JComponent` | `getJComponent(java.lang.Object component)`
    `java.lang.String` | `getParentName()`
    `int` | `getSessionPingSeconds()`
    `void` | `init(java.lang.String appName)`
    `boolean` | `isDefaultTablePagination()`
    `static void` | `setClientProperty(java.awt.Component component, java.lang.String property, java.lang.Object value)` Sets AjaxSwing configuration property for a given component

    - ### Methods inherited from class com.creamtec.core.AppProperties

      `getAppName, getBooleanProperty, getFileName, getIntProperty, setAppName, setBooleanProperty, setIntProperty`

    - ### Methods inherited from class java.util.Properties

      `getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, remove, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### classPropertyCache

          public java.util.HashMap<java.lang.String,java.lang.String> classPropertyCache

    - #### humanComponentNames

          public static boolean humanComponentNames

    - #### AJAXSWING_HOME

          public static final java.lang.String AJAXSWING_HOME

      See Also:
        Constant Field Values

    - #### COMMON_CLASSPATH

          public static final java.lang.String COMMON_CLASSPATH

      See Also:
        Constant Field Values

    - #### AGENT_START_CLASS_NAME

          public static final java.lang.String AGENT_START_CLASS_NAME

      See Also:
        Constant Field Values

    - #### AGENT_APP_PARAMS

          public static final java.lang.String AGENT_APP_PARAMS

      See Also:
        Constant Field Values

    - #### AGENT_ALLOW_LF_CHANGE

          public static final java.lang.String AGENT_ALLOW_LF_CHANGE

      See Also:
        Constant Field Values

    - #### AGENT_CLASSPATH

          public static final java.lang.String AGENT_CLASSPATH

      See Also:
        Constant Field Values

    - #### AGENT_REQUEST_TIMEOUT

          public static final java.lang.String AGENT_REQUEST_TIMEOUT

      See Also:
        Constant Field Values

    - #### AGENT_USE_AJAXSWING_FONTS_CONFIG_FILE

          public static final java.lang.String AGENT_USE_AJAXSWING_FONTS_CONFIG_FILE

      See Also:
        Constant Field Values

    - #### AGENT_RUN_AS_APPLET

          public static final java.lang.String AGENT_RUN_AS_APPLET

      See Also:
        Constant Field Values

    - #### AGENT_PRODUCTION_MODE

          public static final java.lang.String AGENT_PRODUCTION_MODE

      See Also:
        Constant Field Values

    - #### AGENT_ALLOW_TEXT_SELECTION

          public static final java.lang.String AGENT_ALLOW_TEXT_SELECTION

      See Also:
        Constant Field Values

    - #### AGENT_DEFAULT_LOCALE

          public static final java.lang.String AGENT_DEFAULT_LOCALE

      See Also:
        Constant Field Values

    - #### AGENT_FORCE_JVM_LOCALE

          public static final java.lang.String AGENT_FORCE_JVM_LOCALE

      See Also:
        Constant Field Values

    - #### AGENT_USE_BROWSER_LOCALE

          public static final java.lang.String AGENT_USE_BROWSER_LOCALE

      See Also:
        Constant Field Values

    - #### AGENT_SCROLL_DYNAMIC_EVENTS

          public static final java.lang.String AGENT_SCROLL_DYNAMIC_EVENTS

      See Also:
        Constant Field Values

    - #### AGENT_EMULATE_KEY_TYPE_EVENTS

          public static final java.lang.String AGENT_EMULATE_KEY_TYPE_EVENTS

      See Also:
        Constant Field Values

    - #### AGENT_UNDECORATE_FIRST_FRAME

          public static final java.lang.String AGENT_UNDECORATE_FIRST_FRAME

      See Also:
        Constant Field Values

    - #### BROWSER_ENABLE_AUTO_COMPLETE

          public static final java.lang.String BROWSER_ENABLE_AUTO_COMPLETE

      See Also:
        Constant Field Values

    - #### APPLET_TITLE

          public static final java.lang.String APPLET_TITLE

      See Also:
        Constant Field Values

    - #### APPLET_DOCUMENT_BASE

          public static final java.lang.String APPLET_DOCUMENT_BASE

      See Also:
        Constant Field Values

    - #### APPLET_CODE_BASE

          public static final java.lang.String APPLET_CODE_BASE

      See Also:
        Constant Field Values

    - #### APPLET_WIDTH

          public static final java.lang.String APPLET_WIDTH

      See Also:
        Constant Field Values

    - #### APPLET_HEIGHT

          public static final java.lang.String APPLET_HEIGHT

      See Also:
        Constant Field Values

    - #### APPLET_PARAM

          public static final java.lang.String APPLET_PARAM

      See Also:
        Constant Field Values

    - #### ROUTER_IN_PROCESS

          public static final java.lang.String ROUTER_IN_PROCESS

      See Also:
        Constant Field Values

    - #### ROUTER_PRELOAD_APP

          public static final java.lang.String ROUTER_PRELOAD_APP

      See Also:
        Constant Field Values

    - #### ROUTER_PRELOAD_WAIT_FOR_APP

          public static final java.lang.String ROUTER_PRELOAD_WAIT_FOR_APP

      See Also:
        Constant Field Values

    - #### ROUTER_AGENT_WAIT_TIMEOUT

          public static final java.lang.String ROUTER_AGENT_WAIT_TIMEOUT

      See Also:
        Constant Field Values

    - #### ROUTER_SESSION_TIMEOUT

          public static final java.lang.String ROUTER_SESSION_TIMEOUT

      See Also:
        Constant Field Values

    - #### ROUTER_AUTO_SUBMIT

          public static final java.lang.String ROUTER_AUTO_SUBMIT

      See Also:
        Constant Field Values

    - #### ROUTER_REGISTRY_PORT

          public static final java.lang.String ROUTER_REGISTRY_PORT

      See Also:
        Constant Field Values

    - #### ROUTER_REGISTRY_PORT_RANGE

          public static final java.lang.String ROUTER_REGISTRY_PORT_RANGE

      See Also:
        Constant Field Values

    - #### ROUTER_CHARACTER_ENCODING

          public static final java.lang.String ROUTER_CHARACTER_ENCODING

      See Also:
        Constant Field Values

    - #### ROUTER_CLIENTS_PER_JVM

          public static final java.lang.String ROUTER_CLIENTS_PER_JVM

      See Also:
        Constant Field Values

    - #### ROUTER_RETIRE_JVM_AFTER_CLIENTS

          public static final java.lang.String ROUTER_RETIRE_JVM_AFTER_CLIENTS

      See Also:
        Constant Field Values

    - #### ROUTER_HTTP_REQUEST_DATA_LEVEL

          public static final java.lang.String ROUTER_HTTP_REQUEST_DATA_LEVEL

      See Also:
        Constant Field Values

    - #### HTML_SUBMIT_URL

          public static final java.lang.String HTML_SUBMIT_URL

      See Also:
        Constant Field Values

    - #### HTML_DOCS_URL

          public static final java.lang.String HTML_DOCS_URL

      See Also:
        Constant Field Values

    - #### HTML_DOCS_REAL_PATH

          public static final java.lang.String HTML_DOCS_REAL_PATH

      See Also:
        Constant Field Values

    - #### HTML_THEME

          public static final java.lang.String HTML_THEME

      See Also:
        Constant Field Values

    - #### HTML_EXIT_PAGE_URL

          public static final java.lang.String HTML_EXIT_PAGE_URL

      See Also:
        Constant Field Values

    - #### HTML_ERROR_PAGE_URL

          public static final java.lang.String HTML_ERROR_PAGE_URL

      See Also:
        Constant Field Values

    - #### HTML_INITIALIZATION_PAGE_URL

          public static final java.lang.String HTML_INITIALIZATION_PAGE_URL

      See Also:
        Constant Field Values

    - #### HTML_HUMAN_COMPONENT_NAMES

          public static final java.lang.String HTML_HUMAN_COMPONENT_NAMES

      See Also:
        Constant Field Values

    - #### HTTP_URL_LOCALE

          public static final java.lang.String HTTP_URL_LOCALE

      See Also:
        Constant Field Values

    - #### COMPONENT_UNDECORATE_WINDOW

          public static final java.lang.String COMPONENT_UNDECORATE_WINDOW

      See Also:
        Constant Field Values

    - #### COMPONENT_BROWSE_CLIENT

          public static final java.lang.String COMPONENT_BROWSE_CLIENT

      Deprecated. Not implemented in v.4
      See Also:
        Constant Field Values

    - #### COMPONENT_OPEN_CLIENT

          public static final java.lang.String COMPONENT_OPEN_CLIENT

      See Also:
        Constant Field Values

    - #### COMPONENT_SAVE_CLIENT

          public static final java.lang.String COMPONENT_SAVE_CLIENT

      See Also:
        Constant Field Values

    - #### COMPONENT_CSS_STYLE

          public static final java.lang.String COMPONENT_CSS_STYLE

      See Also:
        Constant Field Values

    - #### COMPONENT_CSS_CLASS

          public static final java.lang.String COMPONENT_CSS_CLASS

      See Also:
        Constant Field Values

    - #### COMPONENT_CUSTOM_ID

          public static final java.lang.String COMPONENT_CUSTOM_ID

      See Also:
        Constant Field Values

    - #### COMPONENT_TABLE_OBJECT

          public static final java.lang.String COMPONENT_TABLE_OBJECT

      See Also:
        Constant Field Values

    - #### COMPONENT_ALWAYS_DIRTY

          public static final java.lang.String COMPONENT_ALWAYS_DIRTY

      See Also:
        Constant Field Values

    - #### COMPONENT_EMULATE_KEY_TYPE_EVENTS

          public static final java.lang.String COMPONENT_EMULATE_KEY_TYPE_EVENTS

      See Also:
        Constant Field Values

    - #### COMPONENT_PREVENT_SET_TEXT_FOR_TYPE

          public static final java.lang.String COMPONENT_PREVENT_SET_TEXT_FOR_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_RICH_TEXT_EDITOR

          public static final java.lang.String COMPONENT_RICH_TEXT_EDITOR

      See Also:
        Constant Field Values

    - #### COMPONENT_PARENT_ID

          public static final java.lang.String COMPONENT_PARENT_ID

      See Also:
        Constant Field Values

    - #### COMPONENT_MOUSE_ENTER_EVENTS

          public static final java.lang.String COMPONENT_MOUSE_ENTER_EVENTS

      See Also:
        Constant Field Values

    - #### ENABLE_JMENU_ITEM_MOUSE_ENTER_EVENTS

          public static final java.lang.String ENABLE_JMENU_ITEM_MOUSE_ENTER_EVENTS

      See Also:
        Constant Field Values

    - #### COMPONENT_EMULATE_KEY_TYPE_EVENTS_LIMITED

          public static final java.lang.String COMPONENT_EMULATE_KEY_TYPE_EVENTS_LIMITED

      Type only one symbol. Ticket #1104. Will work only if `emulateKeyType` disabled for this component.
      See Also:
        Constant Field Values

    - #### AGENT_MONITOR_ASYNCHRONOUS_UPDATES_DURATION

          public static final java.lang.String AGENT_MONITOR_ASYNCHRONOUS_UPDATES_DURATION

      See Also:
        Constant Field Values

    - #### AGENT_MONITOR_ASYNCHRONOUS_UPDATES_INTERVAL

          public static final java.lang.String AGENT_MONITOR_ASYNCHRONOUS_UPDATES_INTERVAL

      See Also:
        Constant Field Values

    - #### AGENT_MONITOR_ASYNCHRONOUS_UPDATES_UPDATE_ON_REPAINT

          public static final java.lang.String AGENT_MONITOR_ASYNCHRONOUS_UPDATES_UPDATE_ON_REPAINT

      See Also:
        Constant Field Values

    - #### AGENT_SCROLLING_IGNORE_OVERSIZED_ELEMENTS

          public static final java.lang.String AGENT_SCROLLING_IGNORE_OVERSIZED_ELEMENTS

      See Also:
        Constant Field Values

    - #### PARENT_PROPERTIES_FILE

          public static final java.lang.String PARENT_PROPERTIES_FILE

      See Also:
        Constant Field Values

    - #### REQUEST_DATA_NONE

          public static final java.lang.String REQUEST_DATA_NONE

      See Also:
        Constant Field Values

    - #### REQUEST_DATA_INFO

          public static final java.lang.String REQUEST_DATA_INFO

      See Also:
        Constant Field Values

    - #### REQUEST_DATA_DEBUG

          public static final java.lang.String REQUEST_DATA_DEBUG

      See Also:
        Constant Field Values

    - #### NULL_VALUE

          public static final java.lang.String NULL_VALUE

      See Also:
        Constant Field Values

    - #### ENABLE_AUTO_COMPLETE

          public static final java.lang.String ENABLE_AUTO_COMPLETE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AjaxSwingProperties

          public AjaxSwingProperties()

    - #### AjaxSwingProperties

          public AjaxSwingProperties(java.util.Properties defaults)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### init

          public void init(java.lang.String appName)

    - #### getParentName

          public java.lang.String getParentName()

    - #### isDefaultTablePagination

          public boolean isDefaultTablePagination()

    - #### getComponentProperty

          public java.lang.String getComponentProperty(java.lang.Object component,
                                              java.lang.String property)

      Returns the value of component property First checks the client property on the component Then component.com.package.ClassName.propertyName syntax Then component.*.propertyName=value syntax
      Parameters:
        `component` -
        `property` -
      Returns:

    - #### getComponentProperty

          public int getComponentProperty(java.lang.Object component,
                                 java.lang.String key,
                                 int defaultValue)

    - #### getComponentProperty

          public boolean getComponentProperty(java.lang.Object component,
                                     java.lang.String key,
                                     boolean defaultValue)

    - #### getJComponent

          public static javax.swing.JComponent getJComponent(java.lang.Object component)

    - #### getClientProperty

          public static java.lang.String getClientProperty(java.lang.Object component,
                                           java.lang.String property,
                                           java.lang.String defaultValue)

      If set, returns component client property, if property null then return default value
      Parameters:
        `component` -
        `property` -
        `defaultValue` -
      Returns:

    - #### getClientProperty

          public static java.lang.String getClientProperty(java.lang.Object component,
                                           java.lang.String property)

      If set, returns component client property
      Parameters:
        `component` -
        `property` -
      Returns:

    - #### setClientProperty

          public static void setClientProperty(java.awt.Component component,
                               java.lang.String property,
                               java.lang.Object value)

      Sets AjaxSwing configuration property for a given component
      Parameters:
        `component` -
        `property` -
        `value` -

    - #### getSessionPingSeconds

          public int getSessionPingSeconds()

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.